VERSION 5.00
Object = "{F434F66D-DC49-11D2-9118-00A0241E587F}#5.0#0"; "GbGraphs.ocx"
Begin VB.Form frmBar 
   Caption         =   "Bar Test"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   Icon            =   "Bar.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   2  'CenterScreen
   Begin VB.Timer Timer1 
      Interval        =   500
      Left            =   3960
      Top             =   2400
   End
   Begin VB.PictureBox Picture1 
      Align           =   2  'Align Bottom
      Height          =   285
      Left            =   0
      ScaleHeight     =   225
      ScaleWidth      =   4620
      TabIndex        =   1
      Top             =   2910
      Width           =   4680
      Begin VB.Label lblTip 
         Height          =   255
         Left            =   120
         TabIndex        =   2
         Top             =   0
         Width           =   495
      End
   End
   Begin GbGraphs.BarGraph BarGraph1 
      Height          =   2175
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3375
      _ExtentX        =   5953
      _ExtentY        =   3836
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
   Begin VB.Menu mnuFile 
      Caption         =   "File"
      Begin VB.Menu mnuFileSavePicture 
         Caption         =   "Save &Picture"
      End
      Begin VB.Menu mnuSep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFilePrint 
         Caption         =   "&Print"
         Shortcut        =   ^P
      End
      Begin VB.Menu mnuFilePrintFullPage 
         Caption         =   "Print &Full Page"
      End
      Begin VB.Menu mnuFilePreview 
         Caption         =   "Pre&view"
      End
      Begin VB.Menu mnuSep5 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileProperties 
         Caption         =   "P&roperties"
      End
      Begin VB.Menu mnuSep6 
         Caption         =   "-"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "E&xit"
         Shortcut        =   ^X
      End
   End
   Begin VB.Menu mnuGraph 
      Caption         =   "&Graph"
      Begin VB.Menu mnuGraphTitle 
         Caption         =   "Graph Title..."
      End
      Begin VB.Menu mnuSep3 
         Caption         =   "-"
      End
      Begin VB.Menu mnuColor 
         Caption         =   "&Colors"
         Begin VB.Menu mnuColorSub 
            Caption         =   "&BackColor"
            Index           =   0
         End
         Begin VB.Menu mnuColorSub 
            Caption         =   "&ForeColor"
            Index           =   1
         End
         Begin VB.Menu mnuColorSub 
            Caption         =   "&GridColor"
            Index           =   2
         End
      End
   End
   Begin VB.Menu mnuTests 
      Caption         =   "&Tests"
      Begin VB.Menu mnuBarTestSub 
         Caption         =   "Test &1"
         Index           =   0
      End
      Begin VB.Menu mnuBarTestSub 
         Caption         =   "Test &2"
         Index           =   1
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelpContents 
         Caption         =   "&Contents"
         Enabled         =   0   'False
      End
      Begin VB.Menu mnuHelpSearch 
         Caption         =   "&Search"
         Enabled         =   0   'False
      End
      Begin VB.Menu mnuSep2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "&About"
      End
   End
End
Attribute VB_Name = "frmBar"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Public Property Get GraphTitle() As String
  GraphTitle = Me.BarGraph1.GraphTitle
End Property
Public Property Let GraphTitle(ByVal Value As String)
  Me.BarGraph1.GraphTitle = Value
End Property
Public Property Get Dirty() As Boolean
  Dirty = Me.BarGraph1.Dirty
End Property
Public Property Let Dirty(ByVal Value As Boolean)
  Me.BarGraph1.Dirty = Value
End Property

Private Sub Form_Load()
  frmSplash.Show vbModal
  Me.Caption = "<New Graph>"
  Me.Width = Screen.Width * 0.6
  Me.Height = Screen.Height * 0.6
End Sub
Private Sub Timer1_Timer()
  
'In the given interval the status bar will be erased
'and "Ready" will be displayed
  
  lblTip.Caption = "Ready"
  Timer1.Enabled = False
  
End Sub
Private Sub mnuHelpAbout_Click()
  Set gAboutIcon = Me.Icon
  frmAbout.Show vbModal
  Set gAboutIcon = Nothing
End Sub
Private Sub mnuBarTestSub_Click(Index As Integer)

  Select Case Index
    Case 0: Call BarTest1
    Case 1: Call BarTest2
  End Select

End Sub
Private Sub BarTest1()

Dim NewSeries As brgrfSeriesEl
Dim i As Integer
  
  BarGraph1.Series.Clear
  
  BarGraph1.DoUpdate = False
  BarGraph1.YAxisName = "Scores"
  BarGraph1.IncrementVert = 100
  BarGraph1.MaxY = 1600
  BarGraph1.MinY = 500
  BarGraph1.GraphTitle = "SAT Test Scores"
  
  'Add Series 1 and Plot 4 Points
  Set NewSeries = BarGraph1.Series.Add("John", vbBlue, "John's Scores")
  NewSeries.Points.Add 620
  NewSeries.Points.Add 800
  NewSeries.Points.Add 940
  NewSeries.Points.Add 1400

  'Add Series 2 and Plot 4 Points
  Set NewSeries = BarGraph1.Series.Add("Sally", vbRed, "Sally's Scores")
  NewSeries.Points.Add 1000
  NewSeries.Points.Add 1120
  NewSeries.Points.Add 1440
  NewSeries.Points.Add 900
  
  'Add Series 3 and Plot 4 Points
  Set NewSeries = BarGraph1.Series.Add("Fred", vbGreen, "Fred's Scores")
  NewSeries.Points.Add 900
  NewSeries.Points.Add 1020
  NewSeries.Points.Add 950
  NewSeries.Points.Add 850
  
  Set NewSeries = Nothing
  
  'This is the text used to describe a Non-Interlaced Graph's Groups
  For i = 1 To BarGraph1.Series.PointDescriptions.Count
    BarGraph1.Series.PointDescriptions(i).Description = "Test " & i
  Next i
  
  BarGraph1.DoUpdate = True

End Sub
Private Sub BarTest2()

Dim NewSeries As brgrfSeriesEl
Dim i As Integer
  
  'Clear the graph
  BarGraph1.Series.Clear
  
  BarGraph1.DoUpdate = False
  BarGraph1.YAxisName = "Scores"
  BarGraph1.IncrementVert = 10
  BarGraph1.MinY = -32000
  BarGraph1.MaxY = 100
  BarGraph1.MinY = -50
  BarGraph1.GraphTitle = "Math Test Scores"
  
  'Add Series 1 and Plot 4 Points
  Set NewSeries = BarGraph1.Series.Add("John", vbBlue, "John's Scores")
  Call NewSeries.Points.Add(66)
  Call NewSeries.Points.Add(72)
  Call NewSeries.Points.Add(100)
  Call NewSeries.Points.Add(98)

  'Add Series 2 and Plot 4 Points
  Set NewSeries = BarGraph1.Series.Add("Sally", vbRed, "Sally's Scores")
  Call NewSeries.Points.Add(73)
  Call NewSeries.Points.Add(86)
  Call NewSeries.Points.Add(82)
  Call NewSeries.Points.Add(79)
  
  'Add Series 3 and Plot 4 Points
  Set NewSeries = BarGraph1.Series.Add("Fred", vbGreen, "Fred's Scores")
  Call NewSeries.Points.Add(55)
  Call NewSeries.Points.Add(68)
  Call NewSeries.Points.Add(58)
  Call NewSeries.Points.Add(62)
  
  Set NewSeries = Nothing
  
  'This is the text used to describe a Non-Interlaced Graph's Groups
  For i = 1 To BarGraph1.Series.PointDescriptions.Count
    BarGraph1.Series.PointDescriptions(i).Description = "Test " & i
  Next i
  
  BarGraph1.DoUpdate = True

End Sub
Private Sub mnuGraphTitle_Click()

Dim sMsg As String
 
  sMsg = InputBox("Enter the Graph Title.", "Graph Title", GraphTitle)
  If sMsg = "" Then Exit Sub
  GraphTitle = sMsg

End Sub
Private Sub mnuColorSub_Click(Index As Integer)

On Error GoTo ErrHandler

Dim Dialog1 As Object
  
  Set Dialog1 = CreateObject("MSComDlg.CommonDialog")
  Dialog1.ShowColor
  Select Case Index
    Case 0: BarGraph1.BackColor = Dialog1.Color
    Case 1: BarGraph1.TextColor = Dialog1.Color
    Case 2: BarGraph1.GridColor = Dialog1.Color
  End Select
  Set Dialog1 = Nothing

ErrHandler:

End Sub
Private Sub mnuFileSavePicture_Click()
  Call SavePicture(BarGraph1.Image, AppPath & "BarGraph1.bmp")
  Call MsgBox("File saved as '" & AppPath & "BarGraph1.bmp" & "'", vbInformation)
End Sub
Private Sub mnuFilePrint_Click()
  
  If BarGraph1.GoPrint(False) Then
    MsgBox "Printing Complete!", vbInformation
  Else
    MsgBox "Printing Canceled!", vbInformation
  End If
  
End Sub
Private Sub mnuFilePrintFullPage_Click()
  
  'Setup Print Options
  BarGraph1.PrintOptions.Copies = 1
  BarGraph1.PrintOptions.Zoom = 100
  BarGraph1.PrintOptions.Orientation = pntPortrait
  BarGraph1.PrintOptions.FitToPage = True

  'Print in silent mode (No printer Dialog)
  If BarGraph1.GoPrint(True) Then
    MsgBox "Printing Complete!", vbInformation
  Else
    MsgBox "Printing Canceled!", vbInformation
  End If
  
End Sub
Private Sub mnuFilePreview_Click()
  Call BarGraph1.GoPreview
End Sub
Private Sub mnuFileProperties_Click()
  Call BarGraph1.DisplayPropertyWindow(False)
End Sub
Private Sub mnuExit_Click()
  Unload Me
End Sub
Private Sub Picture1_Resize()

On Error Resume Next

  lblTip.Move 0, 0, Picture1.Width, Picture1.Height

End Sub
Private Sub Form_Resize()

On Error Resume Next

  BarGraph1.Move 0, 0, Me.ScaleWidth, Me.ScaleHeight - Picture1.Height

End Sub
Private Sub Form_Unload(Cancel As Integer)
  Set frmBar = Nothing
  End
End Sub
Private Sub BarGraph1_Click(Button As Integer, Shift As Integer, X As Single, Y As Single)
  Call DisplayMessage("Graph Click", True)
End Sub
Public Sub DisplayMessage(ByVal sMsg As String, ByVal bErase As Boolean)

  lblTip.Caption = sMsg
  lblTip.Refresh

  If bErase Then
    Timer1.Enabled = bErase
  End If

End Sub
Private Sub BarGraph1_DrawDone()
  Call DisplayMessage("Drawing Done", True)
End Sub
Private Sub BarGraph1_DrawStart()
  Call DisplayMessage("Draw Start", False)
End Sub
Private Sub BarGraph1_ItemAdded()
  Call DisplayMessage("Item Added", True)
End Sub
Private Sub BarGraph1_ItemRemoved()
  Call DisplayMessage("Item Removed", True)
End Sub
Private Sub BarGraph1_LegendClick(ByVal SeriesIndex As Integer)
  Call DisplayMessage("Legend Click", True)
End Sub

Private Sub BarGraph1_MarginClick(Button As Integer, Shift As Integer, X As Single, Y As Single)
  Call DisplayMessage("Margin Click", True)
End Sub
Private Sub BarGraph1_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
  
  If Button = vbRightButton Then
    PopupMenu mnuGraph
  End If
  
End Sub
