VERSION 5.00
Object = "{F434F66D-DC49-11D2-9118-00A0241E587F}#5.0#0"; "GbGraphs.ocx"
Begin VB.Form frmLine 
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   Icon            =   "Line.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   2  'CenterScreen
   Begin VB.PictureBox Picture1 
      Align           =   2  'Align Bottom
      Height          =   285
      Left            =   0
      ScaleHeight     =   225
      ScaleWidth      =   4620
      TabIndex        =   1
      Top             =   2910
      Width           =   4680
      Begin VB.Label lblTip 
         Height          =   255
         Left            =   120
         TabIndex        =   2
         Top             =   0
         Width           =   495
      End
   End
   Begin VB.Timer Timer1 
      Interval        =   500
      Left            =   3960
      Top             =   0
   End
   Begin GbGraphs.LineGraph LineGraph1 
      Height          =   2175
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   3495
      _ExtentX        =   6165
      _ExtentY        =   3836
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
   Begin VB.Menu mnuFile 
      Caption         =   "File"
      Begin VB.Menu mnuFileSavePicture 
         Caption         =   "Save &Picture"
      End
      Begin VB.Menu mnuSep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFilePrint 
         Caption         =   "&Print"
         Shortcut        =   ^P
      End
      Begin VB.Menu mnuFilePrintFullPage 
         Caption         =   "Print &Full Page"
      End
      Begin VB.Menu mnuFilePreview 
         Caption         =   "Pre&view"
      End
      Begin VB.Menu mnuSep5 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileProperties 
         Caption         =   "P&roperties"
      End
      Begin VB.Menu mnuSep6 
         Caption         =   "-"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "E&xit"
         Shortcut        =   ^X
      End
   End
   Begin VB.Menu mnuGraph 
      Caption         =   "&Graph"
      Begin VB.Menu mnuGraphTitle 
         Caption         =   "Graph Title..."
      End
      Begin VB.Menu mnuSep3 
         Caption         =   "-"
      End
      Begin VB.Menu mnuColor 
         Caption         =   "&Colors"
         Begin VB.Menu mnuColorSub 
            Caption         =   "&BackColor"
            Index           =   0
         End
         Begin VB.Menu mnuColorSub 
            Caption         =   "&ForeColor"
            Index           =   1
         End
         Begin VB.Menu mnuColorSub 
            Caption         =   "&GridColor"
            Index           =   2
         End
      End
   End
   Begin VB.Menu mnuTests 
      Caption         =   "&Tests"
      Begin VB.Menu mnuLineTestSub 
         Caption         =   "Stock Example"
         Index           =   0
      End
      Begin VB.Menu mnuLineTestSub 
         Caption         =   "Random Dots"
         Index           =   1
      End
      Begin VB.Menu mnuLineTestSub 
         Caption         =   "-"
         Index           =   2
      End
      Begin VB.Menu mnuLineTestSub 
         Caption         =   "Sine"
         Index           =   3
      End
      Begin VB.Menu mnuLineTestSub 
         Caption         =   "Cosine"
         Index           =   4
      End
      Begin VB.Menu mnuLineTestSub 
         Caption         =   "Tangent"
         Index           =   5
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelpContents 
         Caption         =   "&Contents"
         Enabled         =   0   'False
      End
      Begin VB.Menu mnuHelpSearch 
         Caption         =   "&Search"
         Enabled         =   0   'False
      End
      Begin VB.Menu mnuSep2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "&About"
      End
   End
End
Attribute VB_Name = "frmLine"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Public Property Get GraphTitle() As String
  GraphTitle = Me.LineGraph1.GraphTitle
End Property
Public Property Let GraphTitle(ByVal Value As String)
  Me.LineGraph1.GraphTitle = Value
End Property
Public Property Get Dirty() As Boolean
  Dirty = Me.LineGraph1.Dirty
End Property
Public Property Let Dirty(ByVal Value As Boolean)
  Me.LineGraph1.Dirty = Value
End Property
Private Sub Form_Load()
  frmSplash.Show vbModal
  Me.Caption = "<New Graph>"
  Me.Width = Screen.Width * 0.6
  Me.Height = Screen.Height * 0.6
End Sub
Private Sub Form_Resize()

On Error Resume Next

  LineGraph1.Move 0, 0, Me.ScaleWidth, Me.ScaleHeight

End Sub
Private Sub Form_Unload(Cancel As Integer)
  Set frmLine = Nothing
  End
End Sub
Private Sub LineGraph1_Click(Button As Integer, Shift As Integer, X As Single, Y As Single)
  Call DisplayMessage("Graph Click", True)
End Sub
Public Sub DisplayMessage(ByVal sMsg As String, ByVal bErase As Boolean)

  lblTip.Caption = sMsg
  lblTip.Refresh

  If bErase Then
    Timer1.Enabled = bErase
  End If

End Sub
Private Sub LineGraph1_DrawDone()
  Call DisplayMessage("Drawing Done", True)
End Sub
Private Sub LineGraph1_DrawStart()
  Call DisplayMessage("Draw Start", False)
End Sub
Private Sub LineGraph1_ItemAdded()
  Call DisplayMessage("Item Added", True)
End Sub
Private Sub LineGraph1_ItemRemoved()
  Call DisplayMessage("Item Removed", True)
End Sub
Private Sub LineGraph1_LegendClick(ByVal SeriesIndex As Integer)
  Call DisplayMessage("Legend Click", True)
End Sub

Private Sub LineGraph1_MarginClick(Button As Integer, Shift As Integer, X As Single, Y As Single)
  Call DisplayMessage("Margin Click", True)
End Sub
Private Sub LineGraph1_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
  
  If Button = vbRightButton Then
    PopupMenu mnuGraph
  End If
  
End Sub

Private Sub mnuColorSub_Click(Index As Integer)

On Error GoTo ErrHandler

Dim Dialog1 As Object
  
  Set Dialog1 = CreateObject("MSComDlg.CommonDialog")
  Dialog1.ShowColor
  Select Case Index
    Case 0: Me.LineGraph1.BackColor = Dialog1.Color
    Case 1: Me.LineGraph1.TextColor = Dialog1.Color
    Case 2: Me.LineGraph1.GridColor = Dialog1.Color
  End Select
  Set Dialog1 = Nothing

ErrHandler:

End Sub
Private Sub mnuExit_Click()
  Unload Me
End Sub
Private Sub mnuFilePreview_Click()
  Call LineGraph1.GoPreview
End Sub
Private Sub mnuFilePrint_Click()
  
  If LineGraph1.GoPrint(False) Then
    MsgBox "Printing Complete!", vbInformation
  Else
    MsgBox "Printing Canceled!", vbInformation
  End If
  
End Sub
Private Sub mnuFilePrintFullPage_Click()
  
  'Setup Print Options
  LineGraph1.PrintOptions.Copies = 1
  LineGraph1.PrintOptions.Zoom = 100
  LineGraph1.PrintOptions.Orientation = pntPortrait
  LineGraph1.PrintOptions.FitToPage = True

  'Print in silent mode (No printer Dialog)
  If LineGraph1.GoPrint(True) Then
    MsgBox "Printing Complete!", vbInformation
  Else
    MsgBox "Printing Canceled!", vbInformation
  End If
  
End Sub
Private Sub mnuFileProperties_Click()
  Call LineGraph1.DisplayPropertyWindow(False)
End Sub
Private Sub mnuFileSavePicture_Click()
  Call SavePicture(LineGraph1.Image, AppPath & "LineGraph1.bmp")
  Call MsgBox("File saved as '" & AppPath & "LineGraph1.bmp" & "'", vbInformation)
End Sub
Private Sub mnuGraphTitle_Click()

Dim sMsg As String
 
  sMsg = InputBox("Enter the Graph Title.", "Graph Title", Me.GraphTitle)
  If sMsg = "" Then Exit Sub
  Me.GraphTitle = sMsg

End Sub
Private Sub mnuHelpAbout_Click()
  Set gAboutIcon = Me.Icon
  frmAbout.Show vbModal
  Set gAboutIcon = Nothing
End Sub
Private Sub mnuLineTestSub_Click(Index As Integer)

  Select Case Index
    Case 0: Call LineTest1
    Case 1: Call LineTest2
    Case 2: 'Seperator
    Case 3: Call LineTrigTest(0)
    Case 4: Call LineTrigTest(1)
    Case 5: Call LineTrigTest(2)
  End Select

End Sub
Private Sub LineTrigTest(Index As Integer)
  
  Select Case Index
    Case 0: Call DrawSine
    Case 1: Call DrawCosine
    Case 2: Call DrawTangent
  End Select
  
End Sub
Private Sub DrawCosine()

Dim CosElement As lngrfSeriesEl
Dim NewX As Double
  
  Call SetupForMath
  If LineGraph1.Series.Exists("Cosine") Then Exit Sub
  Set CosElement = LineGraph1.Series.Add("Cosine", vbGreen)
  
  NewX = 0
  While NewX < LineGraph1.MaxX
    NewX = NewX + 0.05
    CosElement.Points.Add NewX, Cos(NewX)
  Wend
  
  Set CosElement = Nothing
  
  LineGraph1.DoUpdate = True

End Sub
Private Sub SetupForMath()
  
Dim pi As Double

  pi = 4 * Atn(1)
  
  With LineGraph1
    .DoUpdate = False
    .DecimalPlaces = 2
    .IncrementHorz = (pi / 8)
    .IncrementVert = 0.5
    Call .SetMinMaxX(0, pi * 2)
    Call .SetMinMaxY(-pi, pi)
    .DefineIncrement = False
  End With

End Sub
Private Sub DrawSine()

Dim SinElement As lngrfSeriesEl
Dim NewX As Double
  
  Call SetupForMath
  If LineGraph1.Series.Exists("Sine") Then Exit Sub
  Set SinElement = LineGraph1.Series.Add("Sine", vbBlue)
  
  NewX = 0
  While NewX < LineGraph1.MaxX
    NewX = NewX + 0.05
    SinElement.Points.Add NewX, Sin(NewX)
  Wend
  
  Set SinElement = Nothing
  
  LineGraph1.DoUpdate = True

End Sub
Private Sub DrawTangent()

Dim TanElement As lngrfSeriesEl
Dim NewX As Double
  
  Call SetupForMath
  If LineGraph1.Series.Exists("Tangent") Then Exit Sub
  Set TanElement = LineGraph1.Series.Add("Tangent", vbRed)
  
  NewX = 0
  While NewX < LineGraph1.MaxX
    NewX = NewX + 0.05
    TanElement.Points.Add NewX, Tan(NewX)
  Wend
  
  Set TanElement = Nothing
  LineGraph1.DoUpdate = True

End Sub
Private Sub LineTest2()

Const MaxPointX = 1000
Const MaxPointY = 1000
Const Interations = MaxPointX \ 10

Dim NewSeries As lngrfSeriesEl
Dim i As Integer
Dim LastX As Long
Dim LastY As Long
  
  With LineGraph1
    .DoUpdate = False
    .DecimalPlaces = 0
    .IncrementHorz = MaxPointX / 10
    .IncrementVert = MaxPointY / 10
    Call .SetMinMaxX(0, MaxPointX)
    Call .SetMinMaxY(0, MaxPointY)
    .DefineIncrement = False
  End With
  
  LineGraph1.Series.Clear
  
  'Add the First series and associated points
  LastX = 0
  LastY = 0
  Set NewSeries = LineGraph1.Series.Add("Series 1", vbBlue)
  For i = 1 To Interations
    NewSeries.Points.Add LastX + (Rnd * MaxPointX / Interations * 2), LastY + (Rnd * MaxPointY / Interations * 2)
    LastX = NewSeries.Points(NewSeries.Points.Count).X
    LastY = NewSeries.Points(NewSeries.Points.Count).Y
  Next i
  
  'Add the Second series and associated points
  LastX = 20
  LastY = 20
  Set NewSeries = LineGraph1.Series.Add("Series 2", vbRed)
  For i = 1 To Interations
    NewSeries.Points.Add LastX + (Rnd * MaxPointX / Interations), LastY + (Rnd * MaxPointY / Interations)
    LastX = NewSeries.Points(NewSeries.Points.Count).X
    LastY = NewSeries.Points(NewSeries.Points.Count).Y
  Next i
  
  Set NewSeries = Nothing
  
  'Start to refresh again, it will update automatically
  LineGraph1.DoUpdate = True

End Sub
Private Sub LineTest1()

Const MinPointX = 1
Const MaxPointX = 12
Const MinPointY = 7600
Const MaxPointY = 10000
Const Interations = 12

Dim NewSeries As lngrfSeriesEl
Dim i As Integer
  
  With LineGraph1
    .DoUpdate = False
    .XAxisName = "Months"
    .YAxisName = "Dow Points"
    .GraphTitle = "My Stocks for '97"
    .DoUpdate = False
    .DecimalPlaces = 0
    .IncrementHorz = 1
    .IncrementVert = 200
    Call .SetMinMaxX(MinPointX, MaxPointX)
    Call .SetMinMaxY(MinPointY, MaxPointY)
    .DefineIncrement = True
  End With
  
  LineGraph1.Series.Clear
  
  'Add the First series and associated points
  Set NewSeries = LineGraph1.Series.Add("Stock 1", vbBlue)
  
  For i = 1 To Interations
    NewSeries.Points.Add i, MinPointY + (i * 50)
  Next i
  
  'Add the Second series and associated points
  'Add the First series and associated points
  Set NewSeries = LineGraph1.Series.Add("Stock 2", vbRed)
  For i = 1 To Interations
    NewSeries.Points.Add i, MinPointY + ((MaxPointY - MinPointY) \ 2) + (((MaxPointY - MinPointY) \ 2) * Rnd)
  Next i
  
  LineGraph1.DefinedIncs.Clear
  For i = 1 To Interations
    Call LineGraph1.DefinedIncs.Add(i & "\97")
  Next i
  
  Set NewSeries = Nothing
  
  'Start to refresh again, it will update automatically
  LineGraph1.DoUpdate = True

End Sub
