VERSION 5.00
Object = "{F434F66D-DC49-11D2-9118-00A0241E587F}#5.0#0"; "GbGraphs.ocx"
Begin VB.Form frmGantt 
   Caption         =   "Gantt Test"
   ClientHeight    =   3330
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7320
   Icon            =   "Gantt.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   3330
   ScaleWidth      =   7320
   StartUpPosition =   2  'CenterScreen
   Begin VB.PictureBox Picture1 
      Align           =   2  'Align Bottom
      Height          =   285
      Left            =   0
      ScaleHeight     =   225
      ScaleWidth      =   7260
      TabIndex        =   1
      Top             =   3045
      Width           =   7320
      Begin VB.Label lblTip 
         Height          =   255
         Left            =   120
         TabIndex        =   2
         Top             =   0
         Width           =   495
      End
   End
   Begin VB.Timer Timer1 
      Interval        =   500
      Left            =   5520
      Top             =   2640
   End
   Begin GbGraphs.GanttGraph GanttGraph1 
      Height          =   2415
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   6615
      _ExtentX        =   11668
      _ExtentY        =   4260
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
   End
   Begin VB.Menu mnuFile 
      Caption         =   "File"
      Begin VB.Menu mnuFileSavePicture 
         Caption         =   "Save &Picture"
      End
      Begin VB.Menu mnuSep1 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFilePrint 
         Caption         =   "&Print"
         Shortcut        =   ^P
      End
      Begin VB.Menu mnuFilePrintFullPage 
         Caption         =   "Print &Full Page"
      End
      Begin VB.Menu mnuFilePreview 
         Caption         =   "Pre&view"
      End
      Begin VB.Menu mnuSep5 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileProperties 
         Caption         =   "P&roperties"
      End
      Begin VB.Menu mnuSep6 
         Caption         =   "-"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "E&xit"
         Shortcut        =   ^X
      End
      Begin VB.Menu mnuSepRecentFiles 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileCache 
         Caption         =   ""
         Index           =   0
         Visible         =   0   'False
      End
   End
   Begin VB.Menu mnuGraph 
      Caption         =   "&Graph"
      Begin VB.Menu mnuGraphTitle 
         Caption         =   "Graph Title..."
      End
      Begin VB.Menu mnuSep3 
         Caption         =   "-"
      End
      Begin VB.Menu mnuColor 
         Caption         =   "&Colors"
         Begin VB.Menu mnuColorSub 
            Caption         =   "&BackColor"
            Index           =   0
         End
         Begin VB.Menu mnuColorSub 
            Caption         =   "&ForeColor"
            Index           =   1
         End
         Begin VB.Menu mnuColorSub 
            Caption         =   "&GridColor"
            Index           =   2
         End
      End
   End
   Begin VB.Menu mnuTests 
      Caption         =   "&Tests"
      Begin VB.Menu mnuGanttTestSub 
         Caption         =   "Test &1"
         Index           =   0
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuHelpContents 
         Caption         =   "&Contents"
         Enabled         =   0   'False
      End
      Begin VB.Menu mnuHelpSearch 
         Caption         =   "&Search"
         Enabled         =   0   'False
      End
      Begin VB.Menu mnuSep2 
         Caption         =   "-"
      End
      Begin VB.Menu mnuHelpAbout 
         Caption         =   "&About"
      End
   End
End
Attribute VB_Name = "frmGantt"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Public Property Get GraphTitle() As String
  GraphTitle = Me.GanttGraph1.GraphTitle
End Property
Public Property Let GraphTitle(ByVal Value As String)
  Me.GanttGraph1.GraphTitle = Value
End Property
Public Property Get Dirty() As Boolean
  Dirty = Me.GanttGraph1.Dirty
End Property
Public Property Let Dirty(ByVal Value As Boolean)
  Me.GanttGraph1.Dirty = Value
End Property
Private Sub Form_Load()
  frmSplash.Show vbModal
  Me.Caption = "<New Graph>"
  Me.Width = Screen.Width * 0.6
  Me.Height = Screen.Height * 0.6
End Sub
Private Sub Form_Resize()

On Error Resume Next

  GanttGraph1.Move 0, 0, Me.ScaleWidth, Me.ScaleHeight

End Sub
Private Sub Form_Unload(Cancel As Integer)
  Set frmGantt = Nothing
  End
End Sub
Private Sub GanttGraph1_Click(Button As Integer, Shift As Integer, X As Single, Y As Single)
  Call DisplayMessage("Graph Click", True)
End Sub
Public Sub DisplayMessage(ByVal sMsg As String, ByVal bErase As Boolean)

  lblTip.Caption = sMsg
  lblTip.Refresh

  If bErase Then
    Timer1.Enabled = bErase
  End If

End Sub
Private Sub GanttGraph1_DrawDone()
  Call DisplayMessage("Drawing Done", True)
End Sub
Private Sub GanttGraph1_DrawStart()
  Call DisplayMessage("Draw Start", False)
End Sub
Private Sub GanttGraph1_ItemAdded()
  Call DisplayMessage("Item Added", True)
End Sub
Private Sub GanttGraph1_ItemRemoved()
  Call DisplayMessage("Item Removed", True)
End Sub
Private Sub GanttGraph1_LegendClick(ByVal SeriesIndex As Integer)
  Call DisplayMessage("Legend Click", True)
End Sub
Private Sub GanttGraph1_MarginClick(Button As Integer, Shift As Integer, X As Single, Y As Single)
  Call DisplayMessage("Margin Click", True)
End Sub
Private Sub GanttGraph1_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
  
  If Button = vbRightButton Then
    PopupMenu mnuGraph
  End If
  
End Sub
Private Sub mnuColorSub_Click(Index As Integer)

On Error GoTo ErrHandler

Dim Dialog1 As Object
  
  Set Dialog1 = CreateObject("MSComDlg.CommonDialog")
  Dialog1.ShowColor
  Select Case Index
    Case 0: GanttGraph1.BackColor = Dialog1.Color
    Case 1: GanttGraph1.TextColor = Dialog1.Color
    Case 2: GanttGraph1.GridColor = Dialog1.Color
  End Select
  Set Dialog1 = Nothing

ErrHandler:

End Sub
Private Sub mnuExit_Click()
  Unload Me
End Sub
Private Sub mnuFilePreview_Click()
  Call GanttGraph1.GoPreview
End Sub
Private Sub mnuFilePrint_Click()
  
  If GanttGraph1.GoPrint(False) Then
    MsgBox "Printing Complete!", vbInformation
  Else
    MsgBox "Printing Canceled!", vbInformation
  End If
  
End Sub
Private Sub mnuFilePrintFullPage_Click()
  
  'Setup Print Options
  GanttGraph1.PrintOptions.Copies = 1
  GanttGraph1.PrintOptions.Zoom = 100
  GanttGraph1.PrintOptions.Orientation = pntPortrait
  GanttGraph1.PrintOptions.FitToPage = True

  'Print in silent mode (No printer Dialog)
  If GanttGraph1.GoPrint(True) Then
    MsgBox "Printing Complete!", vbInformation
  Else
    MsgBox "Printing Canceled!", vbInformation
  End If
  
End Sub
Private Sub mnuFileProperties_Click()
  Call GanttGraph1.DisplayPropertyWindow(False)
End Sub
Private Sub mnuFileSavePicture_Click()
  Call SavePicture(GanttGraph1.Image, AppPath & "GanttGraph1.bmp")
  Call MsgBox("File saved as '" & AppPath & "GanttGraph1.bmp" & "'", vbInformation)
End Sub
Private Sub mnuGanttTestSub_Click(Index As Integer)

Const MaxResource = 6
Const MaxTasks = 20
Const cMinX = 5

Dim NewResource As gntgrfRsrcEl
Dim i As Integer
Dim j As Integer
Dim iLastEnd As Integer
Dim iNewValue As Integer

  Screen.MousePointer = vbHourglass
  
  GanttGraph1.DoUpdate = False
  GanttGraph1.IncrementHorz = 3
  GanttGraph1.MaxX = 31
  GanttGraph1.MinX = 1
  GanttGraph1.GraphTitle = "Tasks for Jan 2002"
  GanttGraph1.UseAxisText = True
  GanttGraph1.XAxisName = "Days in January"
  
  'Add MaxResource Resources
  For i = 1 To MaxResource
    iLastEnd = 0
    Set NewResource = GanttGraph1.Resources.Add("Resource " & i, RandomColor)
    'Add up to 20 tasks per resource
    For j = 1 To 1 + (Rnd() * MaxTasks)
      iNewValue = (Rnd * 20)
      If iNewValue < cMinX Then iNewValue = cMinX
      iLastEnd = iLastEnd + iNewValue
      If GanttGraph1.MaxX > (iLastEnd + iNewValue) Then
        Call NewResource.Tasks.Add(iLastEnd, iLastEnd + iNewValue, "Resource " & i & " -  Task " & j)
      End If
      iLastEnd = iLastEnd + iNewValue
    Next j
    Set NewResource = Nothing
  Next i
  
  'Fill in the times in the AxisText collection
  For i = 1 To GanttGraph1.AxisLabels.Count
    GanttGraph1.AxisLabels(i).Text = Format(DateAdd("d", GanttGraph1.IncrementHorz * (i - 1), #1/1/2002#), "m/d")
  Next i
  
  GanttGraph1.DoUpdate = True
  Screen.MousePointer = vbDefault

End Sub
Private Function RandomColor() As Long

'Returns a Random Color
'Color is a True Color 24-Bit

  RandomColor = RGB(CLng(Rnd * 255), CLng(Rnd * 255), CLng(Rnd * 255))
  
End Function
Private Sub mnuGraphTitle_Click()

Dim sMsg As String
 
  sMsg = InputBox("Enter the Graph Title.", "Graph Title", GraphTitle)
  If sMsg = "" Then Exit Sub
  GraphTitle = sMsg

End Sub
Private Sub mnuHelpAbout_Click()
  Set gAboutIcon = Me.Icon
  frmAbout.Show vbModal
  Set gAboutIcon = Nothing
End Sub
